Permalink
Browse files

FIX: Strict error warnings on DataExtension

PHP is throwing strict error warnings when overriding the
updateCMSFields and other functions in custom DataExtensions due to
the fact that the abstract class doesn't declare the variables should
be passed by reference
  • Loading branch information...
1 parent b381e99 commit 1960df8bc30ecb0467a33275810fd121a0125733 @mandrew mandrew committed Feb 4, 2013
Showing with 4 additions and 4 deletions.
  1. +4 −4 model/DataExtension.php
View
@@ -58,7 +58,7 @@ public static function unload_extra_statics($class, $extension) {
* @param $validationResult Local validation result
* @throws ValidationException
*/
- public function validate(ValidationResult $validationResult) {
+ public function validate(ValidationResult &$validationResult) {
}
/**
@@ -145,7 +145,7 @@ public function extraStatics($class = null, $extension = null) {
*
* @param FieldList $fields FieldList with a contained TabSet
*/
- public function updateCMSFields(FieldList $fields) {
+ public function updateCMSFields(FieldList &$fields) {
}
/**
@@ -156,7 +156,7 @@ public function updateCMSFields(FieldList $fields) {
*
* @param FieldList $fields FieldList without TabSet nesting
*/
- public function updateFrontEndFields(FieldList $fields) {
+ public function updateFrontEndFields(FieldList &$fields) {
}
/**
@@ -165,7 +165,7 @@ public function updateFrontEndFields(FieldList $fields) {
*
* @param FieldList $actions FieldList
*/
- public function updateCMSActions(FieldList $actions) {
+ public function updateCMSActions(FieldList &$actions) {
}
/**

0 comments on commit 1960df8

Please sign in to comment.